Bug 1121773 - Remove or update the V1 API
Summary: Remove or update the V1 API
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 20:47 UTC by Partha Aji
Modified: 2017-02-23 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-15 18:11:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6707 None None None 2016-04-22 16:09:40 UTC

Description Partha Aji 2014-07-21 20:47:37 UTC
We're overriding the routes in v2 (routes like DELETE /api/v2/organizations/1). We either need to do the same thing for v1 or remove the v1 routes. I think the latter is probably better?

Comment 1 Partha Aji 2014-07-21 20:47:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/6707

Comment 2 Partha Aji 2014-07-21 20:47:40 UTC
Upstream bug assigned to daviddavis@redhat.com

Comment 3 David Davis 2014-07-21 20:48:26 UTC
Related to https://bugzilla.redhat.com/show_bug.cgi?id=1120335

Comment 5 Bryan Kearney 2014-09-15 18:11:13 UTC
We will keep v1 in place, and possibly look to remove it in the future.


Note You need to log in before you can comment on or make changes to this bug.